# Idea

We should have a program that everyone working at TF has and runs a 3node. If everyone at TF knows how to run a node, it means it's simple enough for the crowd. And we practice what we preach.

# Benefits

This would mean the whole TF team knows inside-out our products and we are truly decentralized. 

# TF Closed Network

We would have 3Nodes of all team members create a private TF network

We can use the new Mycelium function that creates encrypted safe network between nodes to implement a closed-circuit encrypted network of all TF nodes.

# Grants?

TF members/employees can do DIY or we send them certified node. This could be part of the grant program.

# Think Big

Once we should how to be 100% decentralized & autonomous as a single community-based entity (ThreeFold), we can show this to other entities (enterprises, corporations, depin organization, etc.). 

# Phases

We see different phases and where this could go

- Phase 0: We already have at least +5 team members who have nodes
- Phase 1: grant for everyone in team to have diy or certified node
- Phase 2: mycelium private network between nodes
- Phase 3: Communal nextcloud (or other?) complete web suite (to replace gdrive), CI/CD, AI bots, git hosting all on private grid.
- Phase 4: Synthesis of all procedures and documentation to achieve this
- Phase 5: Commercial service offering: can implement our system to any IT/web enterprises so they go fully decentralized

# Final Outcome

Any enterprise can have a private network of a complete Internet web suite (all apps, data never lost, never corrupted, etc.) built for them and they can host the servers themselves at different locations (e.g. each employee has a node at their home, together the nodes are the enterprise's private network ran on mycelium).

# Link with 99.9% Uptime Project

We use the grid ourselves as an entity so we try first hand what organizations will experience by using our services. 

If we have issues we go through the same route an external entity would use (e.g. alerta.io, etc.) and fix the issues. This makes us understand well our escalation matrix and make sure we are able to answer any queries.

The whole ecosystem is of two parts in that case:

- Client
   - TF as an entity using the grid (private network of nodes)
- Cloud
   - TF as a cloud provider offering the services to the TF as an entity part

Once we know inside out how to do client-cloud relationship + work, we can offer this to any entity out there:

> Own and grow your own Internet private network for your company/organization/entity